View Issue Details

IDProjectCategoryView StatusLast Update
0004277PartBugpublic2020-03-04 12:50
Reporterdavid254 Assigned Tochrisb  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSOpenSUSE, Ubuntu 
Product Version0.18 
Fixed in Version0.19 
Summary0004277: Result of Part:Cut operation is distorted.
DescriptionThe cut operation of two lofts make unexpected result. The resulting object doesn't keeps outside shape of original sub-components.
Lofts are created from multiple sketches.
It looks that some points (2 in my case) of the original outside object are replaced by points from inside (subtracted) space.

Steps To Reproduce1. Start the FreeCAD
2. Open attached file (Jak9-WingTip.fcstd)
3. Select the Part workbench
4. Make a Cut of two shapes: (WingEndOuter - WingEndInner)
5. Check resulting object on the thinnest (higher Y coord) side for distortion
Additional Information--- All error messages ---
XmbTextListToTextProperty result code -2
OpenGL version is: 3.1 (3.1 Mesa 19.2.8)
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
Run Gui init script
Init: Running FreeCADGuiInit.py start script...
Init: Searching modules...
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/AddonManager... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Arch... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Complete... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Draft... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Drawing... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Fem... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Idf(InitGui.py not found)... ignore
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Image... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Import... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Inspection... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Material... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Measure(InitGui.py not found)... ignore
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Mesh... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/MeshPart... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/OpenSCAD... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Part... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/PartDesign... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Path... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Points... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Raytracing... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/ReverseEngineering... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Robot... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Show(InitGui.py not found)... ignore
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Sketcher... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Spreadsheet... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Start... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Surface... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/TechDraw... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Test... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Tux... done
Init: Initializing /tmp/.mount_FreeCAwYY4OR/usr/Mod/Web... done
Init: Initializing /home/david/.FreeCAD/Mod/Plot(InitGui.py not found)... ignore
Module: Part
Loading Part module... done
Init: Initializing /home/david/.FreeCAD/Mod/CfdOF... done
Init: Initializing freecad.plot
Init: Initializing freecad.plot... done
Init: Initializing freecad.pip
Init: Initializing freecad.pip... done
Init: Loading FreeCAD GUI
Init: Running FreeCADGuiInit.py start script... done
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
Init: Activating default workbench StartWorkbench
Loading GUI of Web module... done
Loading GUI of Start module... done
Loading Start module... done
Init: Showing main window
Main window restored
Show main window
Toolbars restored
Init: Entering event loop
Init: Processing command line files
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
Loading Sketcher module... done
Loading GUI of Part module... done
Loading GUI of Sketcher module... done
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
Save AutoRecovery file: Needed time: 25ms
Save AutoRecovery file: Needed time: 0ms
Save AutoRecovery file: Needed time: 0ms
Save AutoRecovery file: Needed time: 0ms
Save AutoRecovery file: Needed time: 0ms
Save AutoRecovery file: Needed time: 0ms
Save AutoRecovery file: Needed time: 0ms
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2
XmbTextListToTextProperty result code -2

TagsNo tags attached.
FreeCAD InformationOS: Ubuntu 18.04.4 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.16146 (Git) AppImage
Build type: Release
Branch: (HEAD detached at 0.18.4)
Hash: 980bf9060e28555fecd9e3462f68ca74007b70f8
Python version: 3.6.7
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)

Activities

david254

2020-03-02 13:17

reporter  

Jak9-WingTip.fcstd (101,108 bytes)
Screenshot_InsideObject.png (29,868 bytes)   
Screenshot_InsideObject.png (29,868 bytes)   
Screenshot_OutsideObject.png (29,907 bytes)   
Screenshot_OutsideObject.png (29,907 bytes)   

Genues

2020-03-02 14:14

reporter   ~0014197

Confirmed for me

OS: Arch Linux (XFCE/xfce)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.19758 (Git) AppImage
Build type: Release
Branch: master
Hash: c165edd52c7f06ac09f992e5b5bf1d37661a8c0f
Python version: 3.8.2
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: Russian/Russia (ru_RU)

openBrain

2020-03-03 15:27

developer   ~0014202

@david254 : sorry but this is just EBKAC. ;) In the properties of the 'Cut' (Property editor -> View tab), just adjust deflection and deviation to something more appropriate to the scale you're working on (eg. Angular deflection = 1 / Deviation = 0.05). Then recompute & everything is fine.
This is typically case why our guidelines require that you first open a topic on our forum so community can confirm it's a bug before you open a ticket. ;)

Genues

2020-03-04 06:51

reporter   ~0014204

@openBrain it not work.
screen1.png (228,065 bytes)   
screen1.png (228,065 bytes)   

chrisb

2020-03-04 12:37

developer   ~0014205

Recompute fixes the issue.

OS: macOS High Sierra (10.13)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.19717 (Git)
Build type: Release
Branch: master
Hash: 43e6be9020199e6453653e1b041679679efee574
Python version: 3.8.1
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: C/Default (C)

Issue History

Date Modified Username Field Change
2020-03-02 13:17 david254 New Issue
2020-03-02 13:17 david254 File Added: Jak9-WingTip.fcstd
2020-03-02 13:17 david254 File Added: Screenshot_InsideObject.png
2020-03-02 13:17 david254 File Added: Screenshot_OutsideObject.png
2020-03-02 13:17 david254 File Added: Screenshot_BothSourceObjects.png
2020-03-02 13:17 david254 File Added: Screenshot_ResultingCutObject.png
2020-03-02 14:14 Genues Note Added: 0014197
2020-03-02 20:17 Kunda1 Tag Attached: #post-to-forum
2020-03-03 15:27 openBrain Note Added: 0014202
2020-03-03 15:27 openBrain Tag Attached: #tobeclosed
2020-03-04 06:51 Genues Note Added: 0014204
2020-03-04 06:51 Genues File Added: screen1.png
2020-03-04 12:37 chrisb Assigned To => chrisb
2020-03-04 12:37 chrisb Status new => closed
2020-03-04 12:37 chrisb Resolution open => fixed
2020-03-04 12:37 chrisb Fixed in Version => 0.19
2020-03-04 12:37 chrisb Note Added: 0014205
2020-03-04 12:50 openBrain Tag Detached: #post-to-forum
2020-03-04 12:50 openBrain Tag Detached: #tobeclosed